//
//	Environment
//
#ifndef	__SYSTEM_ENVIRONMENT_H__
#define	__SYSTEM_ENVIRONMENT_H__

#include <System/Object.h>

namespace System {
	class Environment:public Object {
	public:
		static	int		get_TickCount(){ return sys_get_tick_count(); }
		inline	static	int	get_libBitWidth(){ return sizeof(void*)*8; }
		static	int		get_osBitWidth(){ return (sys_get_version()&0x80000000)?32:64; }
		static	uint64	get_WorkingSet(){ return sys_get_memory_status(0x1001); }
	};
}

#endif
